<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.SurfaceControls</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.C.String</span></span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">SDL.Raw.Types</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">SDL</span></span><span>
</span><span id="line-8"></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-12"></span><span>
</span><span id="line-13"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_LoadSurface&quot;</span></span><span> </span><span id="loadSurface"><span class="annot"><a href="SDL.GPU.C.SurfaceControls.html#loadSurface"><span class="hs-identifier hs-var">loadSurface</span></a></span></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">CString</span></span><span> </span><span class="hs-comment">-- ^ filename</span><span>
</span><span id="line-15"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Surface</span></span><span class="hs-special">)</span><span>
</span><span id="line-16"></span><span>
</span><span id="line-17"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_LoadSurface_RW&quot;</span></span><span> </span><span id="loadSurfaceRW"><span class="annot"><a href="SDL.GPU.C.SurfaceControls.html#loadSurfaceRW"><span class="hs-identifier hs-var">loadSurfaceRW</span></a></span></span><span>
</span><span id="line-18"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.RWops</span></span><span>
</span><span id="line-19"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span> </span><span class="hs-comment">-- ^ free_rwops</span><span>
</span><span id="line-20"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Surface</span></span><span class="hs-special">)</span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SaveSurface&quot;</span></span><span> </span><span id="saveSurface"><span class="annot"><a href="SDL.GPU.C.SurfaceControls.html#saveSurface"><span class="hs-identifier hs-var">saveSurface</span></a></span></span><span>
</span><span id="line-23"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Surface</span></span><span>
</span><span id="line-24"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">CString</span></span><span> </span><span class="hs-comment">-- ^ filename</span><span>
</span><span id="line-25"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#FileFormatEnum"><span class="hs-identifier hs-type">GPU.FileFormatEnum</span></a></span><span>
</span><span id="line-26"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span>
</span><span id="line-27"></span><span>
</span><span id="line-28"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SaveSurface_RW&quot;</span></span><span> </span><span id="saveSurfaceRW"><span class="annot"><a href="SDL.GPU.C.SurfaceControls.html#saveSurfaceRW"><span class="hs-identifier hs-var">saveSurfaceRW</span></a></span></span><span>
</span><span id="line-29"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Surface</span></span><span>
</span><span id="line-30"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.RWops</span></span><span>
</span><span id="line-31"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span> </span><span class="hs-comment">-- ^ free_rwops</span><span>
</span><span id="line-32"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#FileFormatEnum"><span class="hs-identifier hs-type">GPU.FileFormatEnum</span></a></span><span>
</span><span id="line-33"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span>
</span><span id="line-34"></span></pre></body></html>